org.apache.catalina.ha.deploy

## Class WarWatcher.WarInfo

- java.lang.Object
- - org.apache.catalina.ha.deploy.WarWatcher.WarInfo

- Enclosing class:
    WarWatcher

      protected static class WarWatcher.WarInfo
      extends Object

  File information on existing WAR files

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `lastChecked`
    `protected long` | `lastState`
    `protected File` | `war`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WarWatcher.WarInfo(File war)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `check()` Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed
    `boolean` | `equals(Object other)`
    `boolean` | `exists()`
    `File` | `getWar()`
    `int` | `hashCode()`
    `boolean` | `modified()`
    `protected void` | `setLastState(int lastState)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### war

          protected final File war

    - #### lastChecked

          protected long lastChecked

    - #### lastState

          protected long lastState

  - ### Constructor Detail

    - #### WarWatcher.WarInfo

          public WarWatcher.WarInfo(File war)

  - ### Method Detail

    - #### modified

          public boolean modified()

    - #### exists

          public boolean exists()

    - #### check

          public int check()

      Returns 1 if the file has been added/modified, 0 if the file is unchanged and -1 if the file has been removed
      Returns:
        int 1=file added; 0=unchanged; -1=file removed

    - #### getWar

          public File getWar()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### setLastState

          protected void setLastState(int lastState)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.